Package org.eclipse.emf.cdo.common.commit

## Interface CDOCommitHistory

- All Superinterfaces:
    `CDOBranchProvider`, `CDOCommitInfoHandler`, `org.eclipse.net4j.util.container.IContainer<CDOCommitInfo>`, `org.eclipse.net4j.util.event.INotifier`
  All Known Subinterfaces:
    `CDOObjectHistory`

      public interface CDOCommitHistory
      extends org.eclipse.net4j.util.container.IContainer<CDOCommitInfo>, CDOBranchProvider, CDOCommitInfoHandler

  A cache for the `commit infos` of a branch or of an entire repository.
  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `CDOCommitHistory.Provider<KEY,​HISTORY extends CDOCommitHistory>` | Provides consumers with `histories`.
    `static interface` | `CDOCommitHistory.TriggerLoadElement` | A virtual `history` element that can be returned from `IContainer.getElements()` if `isAppendingTriggerLoadElement()` is `true` to indicate that the history is not `fully` loaded, yet.

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_LOAD_COUNT` |
    `static CDOCommitHistory` | `EMPTY` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOBranch` | `getBranch()` |
    `CDOCommitInfo` | `getElement​(int index)` |
    `CDOCommitInfo` | `getFirstElement()` |
    `CDOCommitInfo` | `getLastElement()` |
    `int` | `getLoadCount()` |
    `CDOCommitInfoManager` | `getManager()` |
    `boolean` | `isAppendingTriggerLoadElement()` |
    `boolean` | `isFull()` |
    `boolean` | `isLoading()` |
    `void` | `setAppendingTriggerLoadElement​(boolean appendingTriggerLoadElement)` |
    `void` | `setLoadCount​(int loadCount)` |
    `int` | `size()` |
    `boolean` | `triggerLoad()` |
    `boolean` | `triggerLoad​(CDOCommitInfoHandler handler)` |
    `void` | `waitWhileLoading​(long timeout)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitInfoHandler

      `handleCommitInfo`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Field Detail

    - #### EMPTY

          static final CDOCommitHistory EMPTY

    - #### DEFAULT_LOAD_COUNT

          static final int DEFAULT_LOAD_COUNT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getManager

          CDOCommitInfoManager getManager()

    - #### getBranch

          CDOBranch getBranch()

      Specified by:
        `getBranch` in interface `CDOBranchProvider`

    - #### isAppendingTriggerLoadElement

          boolean isAppendingTriggerLoadElement()

    - #### setAppendingTriggerLoadElement

          void setAppendingTriggerLoadElement​(boolean appendingTriggerLoadElement)

    - #### getFirstElement

          CDOCommitInfo getFirstElement()

    - #### getLastElement

          CDOCommitInfo getLastElement()

    - #### getElement

          CDOCommitInfo getElement​(int index)

    - #### size

          int size()

    - #### isFull

          boolean isFull()

    - #### isLoading

          boolean isLoading()

    - #### waitWhileLoading

          void waitWhileLoading​(long timeout)

    - #### getLoadCount

          int getLoadCount()

    - #### setLoadCount

          void setLoadCount​(int loadCount)

    - #### triggerLoad

          boolean triggerLoad()

    - #### triggerLoad

          boolean triggerLoad​(CDOCommitInfoHandler handler)